SFML 2.4.2
Public Attributes | List of all members
sf::SoundFileReader::Info Struct Reference

Structure holding the audio properties of a sound file. More...

`#include <SoundFileReader.hpp>`

## Public Attributes

Uint64 | sampleCount
| Total number of samples in the file. More...
unsigned int | channelCount
| Number of channels of the sound. More...
unsigned int | sampleRate
| Samples rate of the sound, in samples per second. More...

## Detailed Description

Structure holding the audio properties of a sound file.

Definition at line 51 of file SoundFileReader.hpp.

## Member Data Documentation

## ◆ channelCount

unsigned int sf::SoundFileReader::Info::channelCount

Number of channels of the sound.

Definition at line 54 of file SoundFileReader.hpp.

## ◆ sampleCount

Uint64 sf::SoundFileReader::Info::sampleCount

Total number of samples in the file.

Definition at line 53 of file SoundFileReader.hpp.

## ◆ sampleRate

unsigned int sf::SoundFileReader::Info::sampleRate

Samples rate of the sound, in samples per second.

Definition at line 55 of file SoundFileReader.hpp.

The documentation for this struct was generated from the following file:

- SoundFileReader.hpp